<?php

namespace kernel\widgets;

use kernel\Widget;

class ActionButtonWidget extends Widget
{
    public function run(): void
    {
        $icon = $this->data['icon'];
        $btn = $this->data['btn'];
        $url = $this->data['url'];
        $this->cgView->render('/admin/action_button.php', ['icon' => $icon, 'btn' => $btn, 'url' => $url]);
    }
}